from sqlalchemy import URL, create_engine

from foxnouns.settings import DATABASE, ECHO_SQL

SYNC_DATABASE_URL = URL.create(
    "postgresql+psycopg",
    username=DATABASE["USER"],
    password=DATABASE["PASSWORD"],
    host=DATABASE["HOST"],
    database=DATABASE["NAME"],
)

engine = create_engine(SYNC_DATABASE_URL, echo=ECHO_SQL)
